Bug 205774 - BUG: warning about msleep in sata_mv
BUG: warning about msleep in sata_mv
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 09:43 EDT by Ruth Ivimey-Cook
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 19:50:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output of kernel. (25.55 KB, text/plain)
2006-09-08 09:43 EDT, Ruth Ivimey-Cook
no flags Details

  None (edit)
Description Ruth Ivimey-Cook 2006-09-08 09:43:45 EDT
Description of problem:
BUG: warning at drivers/scsi/sata_mv.c:1919/__msleep() (Not tainted)
 <f8876660> __mv_phy_reset+0xeb/0x3a7 [sata_mv]  <c04c9784>
__freed_request+0x1f/0x6f
 <f8877cce> mv_interrupt+0x209/0x310 [sata_mv]  <c043db72>
handle_IRQ_event+0x23/0x4c
 <c043dc17> __do_IRQ+0x7c/0xd1  <c0405035> do_IRQ+0x63/0x80
 =======================
 <c04036f2> common_interrupt+0x1a/0x20  <c0417db3> kmap_atomic+0x75/0x7a
 <c043f67e> file_read_actor+0x59/0xe0  <c043fec6>
do_generic_mapping_read+0x1b7/0x465
 <c044098d> __generic_file_aio_read+0x167/0x1ac  <c043f625> file_read_actor+0x0/0xe0
 <c0440a12> generic_file_aio_read+0x40/0x47  <c045bd3a> do_sync_read+0xc3/0xfd
 <c042c17c> autoremove_wake_function+0x0/0x35  <c045bc77> do_sync_read+0x0/0xfd
 <c045c671> vfs_read+0xa6/0x14e  <c045c9f0> sys_read+0x41/0x67
 <c0402cb3> syscall_call+0x7/0xb 


Version-Release number of selected component (if applicable):
Linux version 2.6.17-1.2174_FC5 (brewbuilder@hs20-bc2-3.build.redhat.com) (gcc
version 4.1.1 20060525 (Red Hat 4.1.1-1))


How reproducible:
Boot with Supermicro SAT2-MV8 card installed.
Comment 1 Ruth Ivimey-Cook 2006-09-08 09:43:46 EDT
Created attachment 135847 [details]
dmesg output of kernel.
Comment 2 Ask Bjørn Hansen 2006-09-08 23:21:55 EDT
There's a patch here that might make it go away:

http://www.uwsg.iu.edu/hypermail/linux/kernel/0606.0/0722.html
Comment 3 Dave Jones 2006-10-16 14:19:38 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Ruth Ivimey-Cook 2006-10-30 03:53:12 EST
With the FC5 kernel 2.6.18-1.2200.fc5 I no longer see the BUG output. I have no
way to verify that the same conditions still exist, but it seems likely so I
guess this report can be closed...

Note You need to log in before you can comment on or make changes to this bug.